# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`epel`](#epel): Class epel  Actions:   Configure the proper repositories and import GPG keys  Requires:   You should probably be on an Enterprise Linux varia
* [`epel::params`](#epelparams): Optional parameters in setting up EPEL

**Defined types**

* [`epel::rpm_gpg_key`](#epelrpm_gpg_key): Define epel::rpm_gpg_key  Actions:   Import a RPM gpg key  Parameters:  [*path*]   Path of the RPM GPG key to import  Reqiures:   You should 

## Classes

### epel

Class epel

Actions:
  Configure the proper repositories and import GPG keys

Requires:
  You should probably be on an Enterprise Linux variant. (Centos, RHEL,
  Scientific, Oracle, Ascendos, et al)

Sample Usage:
 include epel

#### Parameters

The following parameters are available in the `epel` class.

##### `epel_mirrorlist`

Data type: `Any`



Default value: $epel::params::epel_mirrorlist

##### `epel_baseurl`

Data type: `Any`



Default value: $epel::params::epel_baseurl

##### `epel_failovermethod`

Data type: `Any`



Default value: $epel::params::epel_failovermethod

##### `epel_proxy`

Data type: `Any`



Default value: $epel::params::epel_proxy

##### `epel_enabled`

Data type: `Any`



Default value: $epel::params::epel_enabled

##### `epel_gpgcheck`

Data type: `Any`



Default value: $epel::params::epel_gpgcheck

##### `epel_managed`

Data type: `Any`



Default value: $epel::params::epel_managed

##### `epel_exclude`

Data type: `Any`



Default value: `undef`

##### `epel_includepkgs`

Data type: `Any`



Default value: `undef`

##### `epel_sslclientkey`

Data type: `Any`



Default value: `undef`

##### `epel_sslclientcert`

Data type: `Any`



Default value: `undef`

##### `epel_testing_mirrorlist`

Data type: `Any`



Default value: $epel::params::epel_testing_mirrorlist

##### `epel_testing_baseurl`

Data type: `Any`



Default value: $epel::params::epel_testing_baseurl

##### `epel_testing_failovermethod`

Data type: `Any`



Default value: $epel::params::epel_testing_failovermethod

##### `epel_testing_proxy`

Data type: `Any`



Default value: $epel::params::epel_testing_proxy

##### `epel_testing_enabled`

Data type: `Any`



Default value: $epel::params::epel_testing_enabled

##### `epel_testing_gpgcheck`

Data type: `Any`



Default value: $epel::params::epel_testing_gpgcheck

##### `epel_testing_managed`

Data type: `Any`



Default value: $epel::params::epel_testing_managed

##### `epel_testing_exclude`

Data type: `Any`



Default value: `undef`

##### `epel_testing_includepkgs`

Data type: `Any`



Default value: `undef`

##### `epel_testing_sslclientkey`

Data type: `Any`



Default value: `undef`

##### `epel_testing_sslclientcert`

Data type: `Any`



Default value: `undef`

##### `epel_source_mirrorlist`

Data type: `Any`



Default value: $epel::params::epel_source_mirrorlist

##### `epel_source_baseurl`

Data type: `Any`



Default value: $epel::params::epel_source_baseurl

##### `epel_source_failovermethod`

Data type: `Any`



Default value: $epel::params::epel_source_failovermethod

##### `epel_source_proxy`

Data type: `Any`



Default value: $epel::params::epel_source_proxy

##### `epel_source_enabled`

Data type: `Any`



Default value: $epel::params::epel_source_enabled

##### `epel_source_gpgcheck`

Data type: `Any`



Default value: $epel::params::epel_source_gpgcheck

##### `epel_source_managed`

Data type: `Any`



Default value: $epel::params::epel_source_managed

##### `epel_source_exclude`

Data type: `Any`



Default value: `undef`

##### `epel_source_includepkgs`

Data type: `Any`



Default value: `undef`

##### `epel_source_sslclientkey`

Data type: `Any`



Default value: `undef`

##### `epel_source_sslclientcert`

Data type: `Any`



Default value: `undef`

##### `epel_debuginfo_mirrorlist`

Data type: `Any`



Default value: $epel::params::epel_debuginfo_mirrorlist

##### `epel_debuginfo_baseurl`

Data type: `Any`



Default value: $epel::params::epel_debuginfo_baseurl

##### `epel_debuginfo_failovermethod`

Data type: `Any`



Default value: $epel::params::epel_debuginfo_failovermethod

##### `epel_debuginfo_proxy`

Data type: `Any`



Default value: $epel::params::epel_debuginfo_proxy

##### `epel_debuginfo_enabled`

Data type: `Any`



Default value: $epel::params::epel_debuginfo_enabled

##### `epel_debuginfo_gpgcheck`

Data type: `Any`



Default value: $epel::params::epel_debuginfo_gpgcheck

##### `epel_debuginfo_managed`

Data type: `Any`



Default value: $epel::params::epel_debuginfo_managed

##### `epel_debuginfo_exclude`

Data type: `Any`



Default value: `undef`

##### `epel_debuginfo_includepkgs`

Data type: `Any`



Default value: `undef`

##### `epel_debuginfo_sslclientkey`

Data type: `Any`



Default value: `undef`

##### `epel_debuginfo_sslclientcert`

Data type: `Any`



Default value: `undef`

##### `epel_testing_source_mirrorlist`

Data type: `Any`



Default value: $epel::params::epel_testing_source_mirrorlist

##### `epel_testing_source_baseurl`

Data type: `Any`



Default value: $epel::params::epel_testing_source_baseurl

##### `epel_testing_source_failovermethod`

Data type: `Any`



Default value: $epel::params::epel_testing_source_failovermethod

##### `epel_testing_source_proxy`

Data type: `Any`



Default value: $epel::params::epel_testing_source_proxy

##### `epel_testing_source_enabled`

Data type: `Any`



Default value: $epel::params::epel_testing_source_enabled

##### `epel_testing_source_gpgcheck`

Data type: `Any`



Default value: $epel::params::epel_testing_source_gpgcheck

##### `epel_testing_source_managed`

Data type: `Any`



Default value: $epel::params::epel_testing_source_managed

##### `epel_testing_source_exclude`

Data type: `Any`



Default value: `undef`

##### `epel_testing_source_includepkgs`

Data type: `Any`



Default value: `undef`

##### `epel_testing_source_sslclientkey`

Data type: `Any`



Default value: `undef`

##### `epel_testing_source_sslclientcert`

Data type: `Any`



Default value: `undef`

##### `epel_testing_debuginfo_mirrorlist`

Data type: `Any`



Default value: $epel::params::epel_testing_debuginfo_mirrorlist

##### `epel_testing_debuginfo_baseurl`

Data type: `Any`



Default value: $epel::params::epel_testing_debuginfo_baseurl

##### `epel_testing_debuginfo_failovermethod`

Data type: `Any`



Default value: $epel::params::epel_testing_debuginfo_failovermethod

##### `epel_testing_debuginfo_proxy`

Data type: `Any`



Default value: $epel::params::epel_testing_debuginfo_proxy

##### `epel_testing_debuginfo_enabled`

Data type: `Any`



Default value: $epel::params::epel_testing_debuginfo_enabled

##### `epel_testing_debuginfo_gpgcheck`

Data type: `Any`



Default value: $epel::params::epel_testing_debuginfo_gpgcheck

##### `epel_testing_debuginfo_managed`

Data type: `Any`



Default value: $epel::params::epel_testing_debuginfo_managed

##### `epel_testing_debuginfo_exclude`

Data type: `Any`



Default value: `undef`

##### `epel_testing_debuginfo_includepkgs`

Data type: `Any`



Default value: `undef`

##### `epel_testing_debuginfo_sslclientkey`

Data type: `Any`



Default value: `undef`

##### `epel_testing_debuginfo_sslclientcert`

Data type: `Any`



Default value: `undef`

##### `epel_gpg_managed`

Data type: `Any`



Default value: $epel::params::epel_gpg_managed

##### `os_maj_release`

Data type: `Any`



Default value: $epel::params::os_maj_release

### epel::params

Optional parameters in setting up EPEL

## Defined types

### epel::rpm_gpg_key

Define epel::rpm_gpg_key

Actions:
  Import a RPM gpg key

Parameters:

[*path*]
  Path of the RPM GPG key to import

Reqiures:
  You should probably be on an Enterprise Linux variant. (Centos, RHEL, Scientific, Oracle, Ascendos, et al)

Sample Usage:
 epel::rpm_gpg_key{ "EPEL-6":
   path => "/etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6"
 }

#### Parameters

The following parameters are available in the `epel::rpm_gpg_key` defined type.

##### `path`

Data type: `Any`



